The GEVEY Ultra S Interposer Can Still Unlock iPhone 4S on iOS 5.1.1

by • On May 10, 12 12:05pm, Updated: Nov 14, 12 12:13pm • 4328 Views

Only couple of days back Apple has rolled out their latest iOS 5.1.1 for most of the iDevices. Meanwhile we reported on the possible jailbreaking solution for A4 devices which covers iPhone 4, iPad first generation, iPod touch 4G and below. However, for those who are using iPhone 4S and relying on carrier unlock, there is a good news. If you are using Gevey Ultra S interposer, you are pretty much safe and can upgrade your iPhone to  iOS 5.1.1 depending on your firmware version.
ApplenBerry tweets on iOS 5.1.1 Support
On a recent tweet, Gevey SIM interposer manufacturer @applenberry has tweeted, “Good news! If you are currently using GEVEY Ultra S GSM to unlock your GSM iPhone 4S on iOS 5.1, you CAN upgrade to iOS 5.1.1.”

Earlier on February, we also reported on the new GEVEY Ultra S which could unlock the iPhone 4S GSM model with iOS 5.0.1 on certain firmware version. This time there are few additional supported firmware has been included with the previous ones. Here is a little video by ApplenBerry where they demonstrates how it works.

GEVEY Ultra S  GSM model can unlock GSM iPhone 4S on iOS 5.0, 5.0.1, 5.1 and 5.1.1 with the modem firmware version 1.0.11, 1.013, 1.0.14, 2.0.10 and 2.0.12. So, if you are using iPhone 4S and recently updated your device with iOS 5.1.1, you still have the option to unlock your device. Remember, jailbreaking your device and unlocking are not the same. However, GEVEY Ultra S is a hardware based unlocking solution for iPhones. On the other hand Jailbreaking your iPhone may or may not be able to unlock your device.

You can follow us on Twitter, add on your Google+ circle or Like our Facebook page to get the latest news, updates and reviews.

advertisement

Comments